<template>
	<main>
		<div class="container">
			<h1>Detail Products</h1>
			<nuxt-link to="/products">Products</nuxt-link>
		</div>
	</main>
</template>

<script>
export default {
	data() {
		return {}
	},
	head() {
		return {
			...this.$SEOMeta({
				metaTitle: 'Products'
			})
		}
	},
	jsonld() {
		return this.$jsonLD({
			type: 'Product',
			jsonLDObjects: {
				name: 'Product Name',
				logo: 'http://www.example.com/logo.png',
				brand: 'Product Brand',
				category: 'Product Category',
				image: 'http://www.example.com/image.jpg',
				description: 'Product description',
				aggregateRating: {
					'@type': 'AggregateRating',
					ratingValue: '4.4',
					reviewCount: '89'
				},
				offers: {
					'@type': 'Offer',
					priceCurrency: 'Rp',
					price: '15000',
					priceValidUntil: '2020-11-05',
					itemCondition: 'http://schema.org/UsedCondition',
					availability: 'http://schema.org/InStock',
					seller: {
						'@type': 'Organization',
						name: 'Executive Objects'
					}
				}
			}
		})
	}
}
</script>

<style lang="scss" scoped></style>
